Bug 377111 - TAHI--DHCPv6--requested-option-code is not DNS Recursive Name Server/Domain Search List option
Summary: TAHI--DHCPv6--requested-option-code is not DNS Recursive Name Server/Domain S...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 253764
TreeView+ depends on / blocked
 
Reported: 2007-11-12 06:12 UTC by Zhiyong Wu
Modified: 2008-05-21 16:02 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0365
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:02:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0365 normal SHIPPED_LIVE dhcpv6 bug fix update 2008-05-21 11:43:59 UTC

Description Zhiyong Wu 2007-11-12 06:12:14 UTC
Description of problem:

  When having dhcpv6 tests for rfc3315 in the host mode,we found that

requested-option-code is not DNS Recursive Name Server option in some scenarios.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2
    v6eval-3.0.12.tar.gz
   
TAHI package:    
  DHCPv6_Self_Test_P2_1_0_7.tar.gz

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
  
Actual results:

   requested-option-code is not DNS Recursive Name Server option. 

Expected results:

   requested-option-code should be DNS Recursive Name Server option.

Additional info:
  
   please refer to

http://focus.brisbane.redhat.com/~zwu/dhcp_client/20071030/DHCPv6_Self_Test_P2_1_0_7_client/rfc3646/index.html

   (1)2	Part A : Option request Option Format(DNS Recursive Name Server option)

   (2)3	Part B : Option request Option Format(Domain Search List option)

   (3)4	Part A : Solicit message format with Option request Option Format(DNS
Recursive Name Server option)

   (4)5	Part B : Solicit message format with Option request Option Format(Domain
Search List option)

   (5)6	Part A : Request message format with Option request Option Format(DNS
Recursive Name Server option)

   (6)7	Part B : Request message format with Option request Option Format(Domain
Search List option)

   (7)10	Part A : Renew message format with Option request Option Format(DNS
Recursive Name Server option)

   (8)11	Part B : Renew message format with Option request Option Format(Domain
Search List option)

   (9)12	Part A : Rebind message format with Option request Option Format(DNS
Recursive Name Server option)

Comment 1 Zhiyong Wu 2007-11-12 07:36:20 UTC
   Also about it:

   when NUT is set to the server mode, and for rfc3736

   the failing reason should be the same as the bug

   pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/dhcp_server/20071101/DHCPv6_Self_Test_P2_1_0_7_server/rfc3736/index.html

   (1)26	Part A : Relay-Reply message transmission



Comment 2 RHEL Product and Program Management 2007-11-15 08:54:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Zhiyong Wu 2007-12-28 07:15:56 UTC
the bug has been tested PASS with dhcpv6-1.0.4-1.el5.i386.rpm 
dhcpv6-client-1.0.4-1.el5.i386.rpm  libdhcp6client-1.0.4-1.el5.i386.rpm.

Comment 5 Zhiyong Wu 2008-02-25 06:59:01 UTC
but some of those test cases FAIL on RHEL5.2 with dhcpv6-1.0.10

for more details, pls refer to

http://focus.brisbane.redhat.com/~zwu/RHEL5.2-Server-20080212.0/20080220/DHCPv6_Self_Test_P2_1_0_8_server_1.0.10/rfc3736/index.html

Comment 8 errata-xmlrpc 2008-05-21 16:02:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0365.html



Note You need to log in before you can comment on or make changes to this bug.